Bug 731359 - "Physical memory guaranteed" property missing on template.
Summary: "Physical memory guaranteed" property missing on template.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Roman Mohr
QA Contact: Shira Maximov
URL:
Whiteboard:
: 1077568 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 12:40 UTC by Leonid Natapov
Modified: 2016-04-20 01:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-20 01:32:51 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 41391 'None' 'MERGED' 'frontend: fixes in resource allocation tab' 2019-12-06 05:04:32 UTC

Description Leonid Natapov 2011-08-17 12:40:31 UTC
Description of problem:

"Physical memory guaranteed" property missing on template.
When creating a template from VM with defined memory and defined memory guaranteed,the template has only defined memory. So when user creates VM from this template it might not run because physical memory is beyond the host's resources despite the fact that source VM can be run because physical memory guaranteed is defined on it and it matches or bellow host's resources.

Comment 1 Itamar Heim 2013-03-11 21:50:23 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Comment 2 Dudi Maroshi 2015-05-18 06:41:42 UTC
Rediscovered this bug with the following scenario:

1. Imported a CirrOS template from "oVirt-image-repository"
2. Edit new GlanceTemplate-xxx
3. Decrease the memory by 1mb, to 1023 MB.
Notice the follwoing error: "Cannot edit Template. Physical Memory Guaranteed cannot exceed Memory Size"
4. Cannot change "Guaranteed memory size", there is no "Resource Allocation" tab in template.

Existing work around.
1. Create a vm from the existing template.
2. Decrease the "Physical Memory Guaranteed" and save.
3. Create a new template from vm.

This workaround requires recreating a new template for changing any of the "Resource Allocation" properties.

Comment 3 Doron Fediuck 2015-05-18 09:06:31 UTC
Re-opening, as this value is being used for memory allocations.
Note that both REST and UI are needed.

Comment 4 Doron Fediuck 2015-08-25 10:28:52 UTC
*** Bug 1077568 has been marked as a duplicate of this bug. ***

Comment 6 Roman Mohr 2015-08-27 14:26:36 UTC
Was fixed two days after Dudi discovered the error. Did the same import and works for me now.

Added the relevant patch reference from gerrit.

Comment 11 Shira Maximov 2015-11-05 15:01:19 UTC
verified on : 
Red Hat Enterprise Virtualization Manager Version: 3.6.0.3-0.1.el6

verification steps : 
1. create a vm with 1 GB memory and 1 GB memory guaranteed
2. create a template from the vm 
3. create a vm from that template 
4. verify that the vm has 1 GB memory and memory guaranteed


Note You need to log in before you can comment on or make changes to this bug.